> For the complete documentation index, see [llms.txt](https://docs.platform9.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform9.com/api-docs/networking-service/extensions.md).

# Extensions

API extension discovery and details

## List extensions

> Lists available Networking API v2.0 extensions.

```json
{"openapi":"3.0.3","info":{"title":"Networking API","version":"2.0"},"tags":[{"name":"Extensions","description":"API extension discovery and details"}],"servers":[{"url":"https://{host}/neutron","description":"PCD Network API v2.0","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"parameters":{"Fields":{"name":"fields","description":"The fields that you want the server to return. If no fields are specified, all fields are returned.","schema":{"type":"string"},"in":"query"}},"schemas":{"ExtensionsResponse":{"type":"object","properties":{"extensions":{"type":"array","items":{"$ref":"#/components/schemas/Extension"}}},"title":"ExtensionsResponse"},"Extension":{"type":"object","properties":{"name":{"type":"string"},"alias":{"type":"string"},"description":{"type":"string"},"updated":{"format":"date-time","type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/Link"}}},"title":"Extension"},"Link":{"type":"object","properties":{"href":{"format":"uri","type":"string"},"rel":{"type":"string"}},"title":"Link"},"Error":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string"},"type":{"type":"string"},"detail":{"type":"string"}}}},"title":"Error"}},"responses":{"Unauthorized":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized"}}},"paths":{"/v2.0/extensions":{"get":{"tags":["Extensions"],"parameters":[{"$ref":"#/components/parameters/Fields"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExtensionsResponse"}}},"description":"Successful operation"},"401":{"$ref":"#/components/responses/Unauthorized"}},"operationId":"listExtensions","summary":"List extensions","description":"Lists available Networking API v2.0 extensions."}}}}
```

## Show extension details

> Shows details for an extension, by alias.

```json
{"openapi":"3.0.3","info":{"title":"Networking API","version":"2.0"},"tags":[{"name":"Extensions","description":"API extension discovery and details"}],"servers":[{"url":"https://{host}/neutron","description":"PCD Network API v2.0","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"parameters":{"Fields":{"name":"fields","description":"The fields that you want the server to return. If no fields are specified, all fields are returned.","schema":{"type":"string"},"in":"query"}},"schemas":{"ExtensionResponse":{"type":"object","properties":{"extension":{"$ref":"#/components/schemas/Extension"}},"title":"ExtensionResponse"},"Extension":{"type":"object","properties":{"name":{"type":"string"},"alias":{"type":"string"},"description":{"type":"string"},"updated":{"format":"date-time","type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/Link"}}},"title":"Extension"},"Link":{"type":"object","properties":{"href":{"format":"uri","type":"string"},"rel":{"type":"string"}},"title":"Link"},"Error":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string"},"type":{"type":"string"},"detail":{"type":"string"}}}},"title":"Error"}},"responses":{"Unauthorized":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized"},"NotFound":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not Found"}}},"paths":{"/v2.0/extensions/{alias}":{"get":{"tags":["Extensions"],"parameters":[{"name":"alias","description":"The alias of an extension.","schema":{"type":"string"},"in":"path","required":true},{"$ref":"#/components/parameters/Fields"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExtensionResponse"}}},"description":"Successful operation"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"}},"operationId":"showExtension","summary":"Show extension details","description":"Shows details for an extension, by alias."}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.platform9.com/api-docs/networking-service/extensions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
